# Method: accounts.reconciliationReports.create

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create#body.CreateReconciliationReportResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create#body.aspect)

Creates a reconciliation report and uploads it to Google.

### HTTP request

`POST https://travelpartner.googleapis.com/v3/{parent=accounts/*}/reconciliationReports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the account being queried. The format is `accounts/{account_id}`. |

### Request body

The request body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports#ReconciliationReport`.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports/create#google.travel.travelpartner.v3.ReconciliationReportService.CreateReconciliationReport`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reconciliationReport": { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports#ReconciliationReport`) }, "successfulRecordCount": integer, "issues": [ { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/ReconciliationReportValidationIssue`) } ] } ``` |

| Fields ||
|---|---|
| `reconciliationReport` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports#ReconciliationReport`)`` Resource name of the new reconciliation report. The format is `accounts/{account_id}`. |
| `successfulRecordCount` | `integer` The number of commission records that were successfully saved. |
| `issues[]` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/ReconciliationReportValidationIssue`)`` Issues that were encountered when validating the file. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).